Subject: Re: [PATCH v2] wifi: brcmfmac: add Cypress 43439 SDIO ids

From: Simon Horman <[email-masked]>
Date: Sat, 8 Apr 2023 21:44:35 +0200

On Sat, Apr 08, 2023 at 06:44:40PM +0200, Marek Vasut wrote:
> On 4/8/23 17:24, Simon Horman wrote:
> > On Fri, Apr 07, 2023 at 10:37:52PM +0200, Marek Vasut wrote:
> > > Add SDIO ids for use with the muRata 1YN (Cypress CYW43439).
> > > The odd thing about this is that the previous 1YN populated
> > > on M.2 card for evaluation purposes had BRCM SDIO vendor ID,
> > > while the chip populated on real hardware has a Cypress one.
> > > The device ID also differs between the two devices. But they
> > > are both 43439 otherwise, so add the IDs for both.
> > > 
> > > On-device 1YN (43439), the new one, chip label reads "1YN":
> > > ```
> > > /sys/.../mmc_host/mmc2/mmc2:0001 # cat vendor device
> > > 0x04b4
> > > 0xbd3d
> > > ```
> > > 
> > > EA M.2 evaluation board 1YN (43439), the old one, chip label reads "1YN ES1.4":
> > > ```
> > > /sys/.../mmc_host/mmc0/mmc0:0001/# cat vendor device
> > > 0x02d0
> > > 0xa9a6
> > > ```
> > > 
> > > Reviewed-by: Hans de Goede <[email-masked]>
> > > Fixes: be376df724aa3 ("wifi: brcmfmac: add 43439 SDIO ids and initialization")
> > > Signed-off-by: Marek Vasut <[email-masked]>
> > 
> > Reviewed-by: Simon Horman <[email-masked]>
> > 
> > 
> > > ---
> > > NOTE: Please drop the Fixes tag if this is considered unjustified
> > 
> > <2c>
> > Feels more like enablement than a fix to me.
> > </2c>
> 
> I added it because
> 
> Documentation/process/stable-kernel-rules.rst
> 
> L24  - New device IDs and quirks are also accepted.

Thanks. If I was aware of that, I had forgotten.

> So, really, up to the maintainer whether they are fine with it being
> backported to stable releases or not. I don't really mind either way.

Yes, I completely agree.